package com.aucma.report.service.impl;

import com.aucma.report.mapper.GeneralReportMapper;
import com.aucma.report.service.IProductionReportService;
import com.aucma.report.service.IQualityReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PDA管理Service业务层处理
 *
 * @author Yinq
 * @date 2023-11-21
 */
@Service
public class QualityReportServiceImpl implements IQualityReportService {
    @Autowired
    private GeneralReportMapper reportMapper;

    /**
     * 质量缺陷统计分析
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> qualityDefectsStatisticalAnalysisList(Map hashMap) {
        return reportMapper.qualityDefectsStatisticalAnalysisList(hashMap);
    }

    /**
     * 少错件报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> fewerMistakesReportList(Map hashMap) {
        return reportMapper.fewerMistakesReportList(hashMap);
    }

    /**
     * 质量问题前80报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> qualityIssuesReportList(Map hashMap) {
        return reportMapper.qualityIssuesReportList(hashMap);
    }


    /**
     * 产品追溯报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> productTraceabilityReportList(Map hashMap) {
        return reportMapper.productTraceabilityReportList(hashMap);
    }

    /**
     * 测温记录报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> temperatureRecordReportList(Map hashMap) {
        return reportMapper.temperatureRecordReportList(hashMap);
    }

    /**
     * 灌注记录报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> pourRecordReportList(Map hashMap) {
        return reportMapper.pourRecordReportList(hashMap);
    }

}
